Bug 168688 - missing icons interface with x11-wm/xfce4
Summary: missing icons interface with x11-wm/xfce4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-05 07:40 UTC by eric.douzet
Modified: 2012-07-17 22:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description eric.douzet 2012-06-05 07:40:08 UTC
Hello,

After upgrade of XFCE4-4.8 to 4.10 or new install, It lacks the icons in the menu bar from XFCE4-4.10 and this trash icon.

Otherwise, XFCE 4.10 version, it works pretty well ... :-))

Best regards,

Eric Douzet
Comment 1 Edwin Groothuis freebsd_committer 2012-06-05 11:47:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-xfce

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 timp87 2012-06-05 12:35:27 UTC
I can confirm this problem
Comment 3 Olivier Duchateau 2012-06-06 18:25:30 UTC
2012/6/5 Pavel Timofeev <timp87@gmail.com>:
> The following reply was made to PR ports/168688; it has been noted by GNA=
TS.
>
> From: Pavel Timofeev <timp87@gmail.com>
> To: bug-followup@FreeBSD.org, eric.douzet@gmail.com
> Cc:
> Subject: Re: ports/168688: missing icons interface with x11-wm/xfce4
> Date: Tue, 5 Jun 2012 15:35:27 +0400
>
> =A0--e89a8f22bb0b0e402004c1b80ccc
> =A0Content-Type: text/plain; charset=3DUTF-8
>
> =A0I can confirm this problem

It's not bug, it's normal behaviour.

With new Xfce 4.10, default value of icons theme and Gtk theme are empty.

To avoid this annoying "bug", there're 3 ways to correct it:

- create ~/.gtkrc-2.0 file and add this line
gtk-icon-theme-name =3D "Tango" # Tango theme

caveat: you can't change icons theme with settings window.

- go to Menu -> Settings -> Appearance -> Icons (need Xfce's session
which works)

The last, I think it's the best.
- copy /usr/local/etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml
to ~/.config/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml
search keyword IconThemeName and replace empty by name of icons theme.

I've a patch on my box.




--=20
olivier
Comment 4 Olivier Duchateau freebsd_committer 2012-07-01 08:54:47 UTC
Responsible Changed
From-To: freebsd-xfce->olivierd

I'll take it.
Comment 5 dfilter service freebsd_committer 2012-07-17 22:26:40 UTC
Author: olivierd
Date: Tue Jul 17 21:26:28 2012
New Revision: 301043
URL: http://svn.freebsd.org/changeset/ports/301043

Log:
  Fix missing icons and GTK theme.
  
  PR:	168688
  Approved by:	miwi, rene (mentors)

Modified:
  head/sysutils/xfce4-settings/Makefile

Modified: head/sysutils/xfce4-settings/Makefile
==============================================================================
--- head/sysutils/xfce4-settings/Makefile	Tue Jul 17 21:14:08 2012	(r301042)
+++ head/sysutils/xfce4-settings/Makefile	Tue Jul 17 21:26:28 2012	(r301043)
@@ -7,7 +7,7 @@
 
 PORTNAME=	xfce4-settings
 PORTVERSION=	4.10.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	sysutils xfce
 MASTER_SITES=	${MASTER_SITE_XFCE}
 DIST_SUBDIR=	xfce4
@@ -31,7 +31,7 @@ CONFIGURE_ARGS=	--enable-pluggable-dialo
 		--enable-gio-unix
 
 OPTIONS_DEFINE=		XKLAVIER XCURSOR XRANDR NOTIFY NLS SOUND
-OPTIONS_DEFAULT=	XCURSOR XRANDR NOTIFY NLS SOUND
+OPTIONS_DEFAULT=	XKLAVIER XCURSOR XRANDR NOTIFY NLS
 SOUND_DESC=		Enable sound control
 
 .include <bsd.port.options.mk>
@@ -85,7 +85,9 @@ CONFIGURE_ARGS+=--disable-sound-settings
 post-patch:
 	# until xfce4-icon-theme is back we rely on Tango
 	@${REINPLACE_CMD} -e 's|Rodent|Tango|g' \
-		${WRKSRC}/dialogs/appearance-settings/main.c \
+		${WRKSRC}/dialogs/appearance-settings/main.c
+	@${REINPLACE_CMD} -e 's|IconThemeName" type="empty|IconThemeName" type="string" value="Tango|; \
+		s|"ThemeName" type="empty|"ThemeName" type="string" value="Xfce|' \
 		${WRKSRC}/xfsettingsd/xsettings.xml
 	@${REINPLACE_CMD} -e 's|xkl_config_registry_load (settings->priv->xkl_registry)|xkl_config_registry_load (settings->priv->xkl_registry, FALSE)|g; \
 		s|xkl_engine_stop_listen (settings->priv->xkl_engine)|xkl_engine_stop_listen (settings->priv->xkl_engine, FALSE)|g' \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Olivier Duchateau freebsd_committer 2012-07-17 22:28:52 UTC
State Changed
From-To: open->closed

Fixed